import { ElementRef, QueryList } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class CustomFieldComponent implements ControlValueAccessor {
    fields: QueryList<ElementRef>;
    disabled: boolean;
    constructor();
    onChanged: (value: any) => void;
    onTouched: () => void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    valChange(): void;
    setField(arrayOfFields: any): void;
    customFields: any;
    addCustomField(): void;
    manipulateCustomField(type: any, index?: any): void;
    focus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomFieldComponent, "custom-field", never, { "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, never, false, never>;
}
